.grid {
    --itemSize: minmax(200px, 300px);
    display: grid;
    grid-template-columns: repeat(auto-fill, var(--itemSize));
    grid-template-rows: auto;
    gap: 8px;
}

@media screen and (max-width: 1279px) {
    .grid {
        grid-template-columns: 1fr;
    }
}